Bug 1982937 - wine breaks battle.net
Summary: wine breaks battle.net
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wine
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Cronenworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-16 04:09 UTC by Steve
Modified: 2021-07-27 01:02 UTC (History)
4 users (show)

Fixed In Version: wine-6.13-1.fc34 wine-6.13-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-23 06:45:13 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Wine HQ 51331 0 None None None 2021-07-17 15:05:22 UTC

Description Steve 2021-07-16 04:09:28 UTC
Description of problem
wine-6.12-1.fc34.x86_64 breaks batle.net. battle.net will not start with this verson of wine. Downgrading to wine-6.3-1.fc34.x86_64 solves the problem.

Version-Release number of selected component (if applicable):
wine-6.12-1.fc34.x86_64

Log:
I actually don't know how to debug wine. Here are the two different logs.

Normal startup (wine-6.3-1.fc34.x86_64):
$ wine StarCraft\ II.exe 
0450:fixme:font:get_name_record_codepage encoding 20 not handled, platform 1.
0450:fixme:font:get_name_record_codepage encoding 20 not handled, platform 1.
0448:fixme:font:get_name_record_codepage encoding 20 not handled, platform 1.
0448:fixme:font:get_name_record_codepage encoding 20 not handled, platform 1.
0458:fixme:kernelbase:AppPolicyGetThreadInitializationType FFFFFFFA, 014FFEF4
0448:err:ntlm:ntlm_LsaApInitializePackage no NTLM support, expect problems
<html><head><title>Object moved</title></head><body>
<h2>Object moved to <a href="http://www.blizzard.com/404">here</a>.</h2>
</body></html>
<html><head><title>Object moved</title></head><body>
<h2>Object moved to <a href="http://www.blizzard.com/404">here</a>.</h2>
</body></html>
<html><head><title>Object moved</title></head><body>
<h2>Object moved to <a href="http://www.blizzard.com/404">here</a>.</h2>
</body></html>
0448:fixme:kernelbase:AppPolicyGetProcessTerminationMethod FFFFFFFA, 0032FEAC
$

Failed startup (wine-6.3-1.fc34.x86_64):
$ wine StarCraft\ II.exe 
002c:fixme:winediag:LdrInitializeThunk wine-staging 6.12 is a testing version containing experimental patches.
002c:fixme:winediag:LdrInitializeThunk Please mention your exact version when filing bug reports on winehq.org.
005c:fixme:font:get_name_record_codepage encoding 20 not handled, platform 1.
006c:fixme:font:get_name_record_codepage encoding 20 not handled, platform 1.
...
0110:fixme:font:get_name_record_codepage encoding 20 not handled, platform 1.
0110:fixme:font:get_name_record_codepage encoding 20 not handled, platform 1.
wine: configuration in L"/home/sysop/.wine" has been updated.
0118:fixme:font:get_name_record_codepage encoding 20 not handled, platform 1.
0118:fixme:font:get_name_record_codepage encoding 20 not handled, platform 1.
...
0120:fixme:font:get_name_record_codepage encoding 20 not handled, platform 1.
0120:fixme:font:get_name_record_codepage encoding 20 not handled, platform 1.
0128:fixme:kernelbase:AppPolicyGetThreadInitializationType FFFFFFFA, 01CCFEF4
0154:fixme:font:get_name_record_codepage encoding 20 not handled, platform 1.
0154:fixme:font:get_name_record_codepage encoding 20 not handled, platform 1.
0154:err:ole:com_get_class_object apartment not initialised
0154:fixme:kernelbase:AppPolicyGetProcessTerminationMethod FFFFFFFA, 0067FEAC
0164:fixme:font:get_name_record_codepage encoding 20 not handled, platform 1.
0164:fixme:font:get_name_record_codepage encoding 20 not handled, platform 1.
015c:fixme:font:get_name_record_codepage encoding 20 not handled, platform 1.
015c:fixme:font:get_name_record_codepage encoding 20 not handled, platform 1.
<html><head><title>Object moved</title></head><body>
<h2>Object moved to <a href="http://www.blizzard.com/404">here</a>.</h2>
</body></html>
015c:fixme:wbemprox:wbem_locator_ConnectServer unsupported flags
015c:fixme:wbemprox:client_security_SetBlanket 01A847B0, 00C493B0, 10, 0, (null), 3, 3, 00000000, 0x00000000
015c:fixme:wbemprox:client_security_Release 01A847B0
015c:fixme:ntdll:NtQuerySystemInformation info_class SYSTEM_PERFORMANCE_INFORMATION
015c:fixme:wbemprox:enum_class_object_Next timeout not supported
0170:fixme:kernelbase:AppPolicyGetThreadInitializationType FFFFFFFA, 02FDFEF8
<html><head><title>Object moved</title></head><body>
<h2>Object moved to <a href="http://www.blizzard.com/404">here</a>.</h2>
</body></html>
015c:fixme:ole:CoInitializeSecurity 00000000, -1, 00000000, 00000000, 0, 3, 00000000, 0, 00000000 stub
015c:fixme:wbemprox:client_security_SetBlanket 01A847B0, 00C97830, 10, 0, (null), 3, 3, 00000000, 0x00000000
015c:fixme:wbemprox:client_security_Release 01A847B0
014c:err:sync:RtlpWaitForCriticalSection section 00BD247C "?" wait timed out in thread 014c, blocked by 0144, retrying (60 sec)
0174:fixme:winsock:WSAIoctl unimplemented ioctl SIO_IDEAL_SEND_BACKLOG_QUERY
0174:fixme:winsock:server_ioctl_sock Unsupported ioctl 120348 (device=12 access=0 func=d2 method=0)
015c:fixme:kernelbase:AppPolicyGetProcessTerminationMethod FFFFFFFA, 00BBFEAC
014c:err:sync:RtlpWaitForCriticalSection section 00BD247C "?" wait timed out in thread 014c, blocked by 0144, retrying (60 sec)
014c:err:sync:RtlpWaitForCriticalSection section 00BD247C "?" wait timed out in thread 014c, blocked by 0144, retrying (60 sec)
014c:err:sync:RtlpWaitForCriticalSection section 00BD247C "?" wait timed out in thread 014c, blocked by 0144, retrying (60 sec)
014c:err:sync:RtlpWaitForCriticalSection section 00BD247C "?" wait timed out in thread 014c, blocked by 0144, retrying (60 sec)
^C01d8:fixme:console:default_ctrl_handler Terminating process 20 on event 0
01d0:fixme:console:default_ctrl_handler Terminating process 11c on event 0
$

Comment 1 Steve 2021-07-16 04:12:43 UTC
I'm sorry, the failed startup is with wine-6.12-1.fc34.x86_64 (wrong description).

Comment 2 Michael Cronenworth 2021-07-17 15:05:26 UTC
Upstream has fixed the issue so 6.13 should work when it is released.

https://bugs.winehq.org/show_bug.cgi?id=51331

Comment 3 Fedora Update System 2021-07-22 20:27:26 UTC
FEDORA-2021-e17e922804 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-e17e922804

Comment 4 Fedora Update System 2021-07-22 20:27:50 UTC
FEDORA-2021-8c92985566 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-8c92985566

Comment 5 Fedora Update System 2021-07-23 01:13:31 UTC
FEDORA-2021-e17e922804 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-e17e922804`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-e17e922804

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-07-23 01:26:09 UTC
FEDORA-2021-8c92985566 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-8c92985566`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-8c92985566

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Steve 2021-07-23 06:45:13 UTC
Fixed in Version 6.13-1. Closing...

Comment 8 Fedora Update System 2021-07-24 02:16:33 UTC
FEDORA-2021-e17e922804 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-07-27 01:02:08 UTC
FEDORA-2021-8c92985566 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.